Loading...
Searching...
No Matches
_LADSPA_Descriptor Struct Reference

`#include <ladspa.h>`

## Public Attributes

unsigned long | UniqueID
const char * | Label
LADSPA_Properties | Properties
const char * | Name
const char * | Maker
const char * | Copyright
unsigned long | PortCount
const LADSPA_PortDescriptor * | PortDescriptors
const char *const * | PortNames
const LADSPA_PortRangeHint * | PortRangeHints
void * | ImplementationData
LADSPA_Handle(* | instantiate )(const struct _LADSPA_Descriptor *Descriptor, unsigned long SampleRate)
void(* | connect_port )(LADSPA_Handle Instance, unsigned long Port, LADSPA_Data *DataLocation)
void(* | activate )(LADSPA_Handle Instance)
void(* | run )(LADSPA_Handle Instance, unsigned long SampleCount)
void(* | run_adding )(LADSPA_Handle Instance, unsigned long SampleCount)
void(* | set_run_adding_gain )(LADSPA_Handle Instance, LADSPA_Data Gain)
void(* | deactivate )(LADSPA_Handle Instance)
void(* | cleanup )(LADSPA_Handle Instance)

## Detailed Description

Definition at line 373 of file ladspa.h.

## Member Data Documentation

## activate

void(* _LADSPA_Descriptor::activate) (LADSPA_Handle Instance)

Definition at line 489 of file ladspa.h.

## cleanup

void(* _LADSPA_Descriptor::cleanup) (LADSPA_Handle Instance)

Definition at line 558 of file ladspa.h.

## connect_port

void(* _LADSPA_Descriptor::connect_port) (LADSPA_Handle Instance, unsigned long Port, LADSPA_Data *DataLocation)

Definition at line 466 of file ladspa.h.

## Copyright

const char* _LADSPA_Descriptor::Copyright

Definition at line 402 of file ladspa.h.

## deactivate

void(* _LADSPA_Descriptor::deactivate) (LADSPA_Handle Instance)

Definition at line 549 of file ladspa.h.

## ImplementationData

void* _LADSPA_Descriptor::ImplementationData

Definition at line 426 of file ladspa.h.

## instantiate

LADSPA_Handle(* _LADSPA_Descriptor::instantiate) (const struct _LADSPA_Descriptor *Descriptor, unsigned long SampleRate)

Definition at line 437 of file ladspa.h.

## Label

const char* _LADSPA_Descriptor::Label

Definition at line 386 of file ladspa.h.

## Maker

const char* _LADSPA_Descriptor::Maker

Definition at line 397 of file ladspa.h.

## Name

const char* _LADSPA_Descriptor::Name

Definition at line 393 of file ladspa.h.

## PortCount

unsigned long _LADSPA_Descriptor::PortCount

Definition at line 406 of file ladspa.h.

## PortDescriptors

const LADSPA_PortDescriptor* _LADSPA_Descriptor::PortDescriptors

Definition at line 410 of file ladspa.h.

## PortNames

const char* const* _LADSPA_Descriptor::PortNames

Definition at line 415 of file ladspa.h.

## PortRangeHints

const LADSPA_PortRangeHint* _LADSPA_Descriptor::PortRangeHints

Definition at line 419 of file ladspa.h.

## Properties

LADSPA_Properties _LADSPA_Descriptor::Properties

Definition at line 389 of file ladspa.h.

## run

void(* _LADSPA_Descriptor::run) (LADSPA_Handle Instance, unsigned long SampleCount)

Definition at line 505 of file ladspa.h.

## run_adding

void(* _LADSPA_Descriptor::run_adding) (LADSPA_Handle Instance, unsigned long SampleCount)

Definition at line 521 of file ladspa.h.

## set_run_adding_gain

void(* _LADSPA_Descriptor::set_run_adding_gain) (LADSPA_Handle Instance, LADSPA_Data Gain)

Definition at line 533 of file ladspa.h.

## UniqueID

unsigned long _LADSPA_Descriptor::UniqueID

Definition at line 379 of file ladspa.h.

The documentation for this struct was generated from the following file:

- src/headers/ladspa.h